summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2017-10-04 12:35:42 +0200
committer David Spencer2017-10-04 12:35:42 +0200
commitfb096454f4e6588bc8ef5747780c3dbc66916240 (patch)
tree4142eb1889da75a37ab0cf1459de6b585c3eaeb0 /development
parent9675df61c7fb0ebfc3d99358000bfd2476f39c54 (diff)
downloadslackbuilds-fb096454f4e6588bc8ef5747780c3dbc66916240.tar.gz
development/neovim-qt: Added (Neovim Qt5 client).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/neovim-qt/README1
-rw-r--r--development/neovim-qt/doinst.sh7
-rw-r--r--development/neovim-qt/neovim-qt.SlackBuild100
-rw-r--r--development/neovim-qt/neovim-qt.info10
-rw-r--r--development/neovim-qt/slack-desc19
5 files changed, 137 insertions, 0 deletions
diff --git a/development/neovim-qt/README b/development/neovim-qt/README
new file mode 100644
index 0000000000..a11fdf80ca
--- /dev/null
+++ b/development/neovim-qt/README
@@ -0,0 +1 @@
+neovim-qt is a Qt5 client library and graphical application for Neovim.
diff --git a/development/neovim-qt/doinst.sh b/development/neovim-qt/doinst.sh
new file mode 100644
index 0000000000..9a8ded3c60
--- /dev/null
+++ b/development/neovim-qt/doinst.sh
@@ -0,0 +1,7 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
diff --git a/development/neovim-qt/neovim-qt.SlackBuild b/development/neovim-qt/neovim-qt.SlackBuild
new file mode 100644
index 0000000000..a9c1525aea
--- /dev/null
+++ b/development/neovim-qt/neovim-qt.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# SlackBuild script for neovim-qt
+
+# Copyright 2017 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=neovim-qt
+VERSION=${VERSION:-0.2.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DUSE_SYSTEM_MSGPACK:STRING="ON" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ ..
+
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CONTRIBUTING.md LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/neovim-qt/neovim-qt.info b/development/neovim-qt/neovim-qt.info
new file mode 100644
index 0000000000..864269b33f
--- /dev/null
+++ b/development/neovim-qt/neovim-qt.info
@@ -0,0 +1,10 @@
+PRGNAM="neovim-qt"
+VERSION="0.2.8"
+HOMEPAGE="https://github.com/equalsraf/neovim-qt"
+DOWNLOAD="https://github.com/equalsraf/neovim-qt/archive/v0.2.8/neovim-qt-0.2.8.tar.gz"
+MD5SUM="018da85ad3a054870790854e31c1911e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="neovim qt5 msgpack-c"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/development/neovim-qt/slack-desc b/development/neovim-qt/slack-desc
new file mode 100644
index 0000000000..b9e59fe08c
--- /dev/null
+++ b/development/neovim-qt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+neovim-qt: neovim-qt (Neovim Qt5 client)
+neovim-qt:
+neovim-qt: neovim-qt is a Qt5 client library and graphical application for
+neovim-qt: Neovim.
+neovim-qt:
+neovim-qt:
+neovim-qt:
+neovim-qt:
+neovim-qt:
+neovim-qt:
+neovim-qt: